/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */
package net.jdcloud.HufuErpMigrateV2.client;

import com.jdcloud.sdk.apim.JdcloudSdkException;
import com.jdcloud.sdk.apim.auth.CredentialsProvider;
import com.jdcloud.sdk.apim.client.Environment;
import com.jdcloud.sdk.apim.client.Jdcloud;
import com.jdcloud.sdk.apim.client.JdcloudClient;
import com.jdcloud.sdk.apim.client.JdcloudValidateException;
import com.jdcloud.sdk.apim.http.HttpRequestConfig;
import net.jdcloud.HufuErpMigrateV2.model.*;

/**
 * https://wn8l9g38jznp.cn-north-1.jdcloud-api.net,wn8l9g38jznp.cn-north-1.vpc.jdcloud-api.net
 */
public class HufuErpMigrateV2Client extends JdcloudClient {

    public final static String ApiVersion = "";
    private final static String UserAgentPrefix = "JdcloudSdkJava";
    public final static String ClientVersion = "2.2.9";
    public final static String DefaultEndpoint = "wn8l9g38jznp.cn-north-1.jdcloud-api.net,wn8l9g38jznp.cn-north-1.vpc.jdcloud-api.net";
    public final static String ServiceName = "wn8l9g38jznp";
    public final static String UserAgent = UserAgentPrefix + "/" + ClientVersion + " " + ServiceName + "/" + ApiVersion;
    public final static String REGION_ID = "cn-north-1";

    CredentialsProvider credentialsProvider;
    HttpRequestConfig httpRequestConfig;
    Environment environment = new Environment.Builder().endpoint(DefaultEndpoint).build();

    public CredentialsProvider getCredentialsProvider() {
        return credentialsProvider;
    }

    public HttpRequestConfig getHttpRequestConfig() {
        return httpRequestConfig;
    }

    public Environment getEnvironment() {
        return environment;
    }

    public String getUserAgent() {
        return UserAgent;
    }

    public String getServiceName() {
        return ServiceName;
    }

    public String getVersion() {
        return ApiVersion;
    }
    
    public String getRegionId() {
        return REGION_ID;
    }

    private HufuErpMigrateV2Client() {

    }

    public static Builder builder() {
        return new DefaultBuilder();
    }
    
    public interface Builder {
        public Builder credentialsProvider(CredentialsProvider provider);
        public Builder environment(Environment environment);
        public Builder httpRequestConfig(HttpRequestConfig config);
        public HufuErpMigrateV2Client build() throws JdcloudSdkException;
    }

    private static class DefaultBuilder implements Builder {

        private HufuErpMigrateV2Client HufuErpMigrateV2Client;

        public DefaultBuilder() {
            HufuErpMigrateV2Client = new HufuErpMigrateV2Client();
        }

        public DefaultBuilder credentialsProvider(CredentialsProvider provider) {
            HufuErpMigrateV2Client.credentialsProvider = provider;
            return this;
        }

        public DefaultBuilder httpRequestConfig(HttpRequestConfig config) {
            HufuErpMigrateV2Client.httpRequestConfig = config;
            return this;
        }

        public HufuErpMigrateV2Client build() throws JdcloudSdkException {

            if (HufuErpMigrateV2Client.credentialsProvider == null) {
                //if credentialsProvider not set, try load jdcloud global default  credentials provider
                HufuErpMigrateV2Client.credentialsProvider = Jdcloud.defaultInstance().getCredentialsProvider();
            }
            if (HufuErpMigrateV2Client.httpRequestConfig == null) {
                HufuErpMigrateV2Client.httpRequestConfig = Jdcloud.defaultInstance().getHttpRequestConfig();
                if (HufuErpMigrateV2Client.httpRequestConfig == null) {
                    throw new JdcloudValidateException("HufuErpMigrateV2Client build error: http request config not set");
                }
            }
            return HufuErpMigrateV2Client;
        }

        public Builder environment(Environment environment) {
            HufuErpMigrateV2Client.environment = environment;
            return this;
        }
    }
    
    
    /**
     * 虎符-发货队列同步接口
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuGoodsGoodsSendSyncResponse jingdongHufuGoodsGoodsSendSync(JingdongHufuGoodsGoodsSendSyncRequest request) throws JdcloudSdkException {
        return new JingdongHufuGoodsGoodsSendSyncExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-库存更新队列同步
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuStockStockSyncResponse jingdongHufuStockStockSync(JingdongHufuStockStockSyncRequest request) throws JdcloudSdkException {
        return new JingdongHufuStockStockSyncExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-订单敏感信息获取接口
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderGetSensitiveDataResponse jingdongHufuOrderGetSensitiveData(JingdongHufuOrderGetSensitiveDataRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderGetSensitiveDataExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-获取电子发票信息
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderGetInvoiceEasyInfoResponse jingdongHufuOrderGetInvoiceEasyInfo(JingdongHufuOrderGetInvoiceEasyInfoRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderGetInvoiceEasyInfoExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-修改订单收货地
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderModifyOrderAddrResponse jingdongHufuOrderModifyOrderAddr(JingdongHufuOrderModifyOrderAddrRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderModifyOrderAddrExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-订单非敏感信息获取接口
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderPopOrderSearchResponse jingdongHufuOrderPopOrderSearch(JingdongHufuOrderPopOrderSearchRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderPopOrderSearchExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-订单非敏感信息获取接口
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderPopOrderGetResponse jingdongHufuOrderPopOrderGet(JingdongHufuOrderPopOrderGetRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderPopOrderGetExecutor().client(this).execute(request);
    }

    
    /**
     * 虎符-订单信息逆向推送接口
     *
     * @param request
     * @return
     * @throws JdcloudSdkException
     */
    public JingdongHufuOrderPopOrderPushResponse jingdongHufuOrderPopOrderPush(JingdongHufuOrderPopOrderPushRequest request) throws JdcloudSdkException {
        return new JingdongHufuOrderPopOrderPushExecutor().client(this).execute(request);
    }

    
}
