/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuErpMigrateV2.model;

import net.jdcloud.HufuErpMigrateV2.model.jingdonghufustockstocksync.*;
import com.jdcloud.sdk.apim.service.JdcloudRequest;
import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import net.jdcloud.HufuErpMigrateV2.model.jingdonghufustockstocksync.JingdongHufuStockStockSyncBody;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * JingdongHufuStockStockSyncRequest
 */
@XmlRootElement(name = "jingdongHufuStockStockSync_request")
@XmlAccessorType(XmlAccessType.FIELD)

public class JingdongHufuStockStockSyncRequest extends JdcloudRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "app_key")
    @SerializedName("app_key")
    @QueryParameter
    private String appKey = null;

    @XmlElement(name = "customerId")
    @SerializedName("customerId")
    @QueryParameter
    private String customerId = null;

    @XmlElement(name = "method")
    @SerializedName("method")
    @QueryParameter
    private String method = null;

    @XmlElement(name = "sign_method")
    @SerializedName("sign_method")
    @QueryParameter
    private String signMethod = null;

    @XmlElement(name = "jingdong_hufu_stock_stockSyncBody")
    @SerializedName("jingdong_hufu_stock_stockSyncBody")
    @BodyParameter
    @Required
    private JingdongHufuStockStockSyncBody jingdongHufuStockStockSyncBody = null;

    public JingdongHufuStockStockSyncRequest appKey(String appKey) {
        this.appKey = appKey;
        return this;
    }

    /**
     * 虎符应用appkey
     * @return appKey
    **/

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public JingdongHufuStockStockSyncRequest customerId(String customerId) {
        this.customerId = customerId;
        return this;
    }

    /**
     * 鼎外ERP系统颁发给鼎内ERP系统的ID
     * @return customerId
    **/

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public JingdongHufuStockStockSyncRequest method(String method) {
        this.method = method;
        return this;
    }

    /**
     * 虎符方法名，例如 jingdong.hufu.order.getSensitiveData
     * @return method
    **/

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public JingdongHufuStockStockSyncRequest signMethod(String signMethod) {
        this.signMethod = signMethod;
        return this;
    }

    /**
     * 后端签名算法，目前仅支持md5
     * @return signMethod
    **/

    public String getSignMethod() {
        return signMethod;
    }

    public void setSignMethod(String signMethod) {
        this.signMethod = signMethod;
    }

    public JingdongHufuStockStockSyncRequest jingdongHufuStockStockSyncBody(JingdongHufuStockStockSyncBody jingdongHufuStockStockSyncBody) {
        this.jingdongHufuStockStockSyncBody = jingdongHufuStockStockSyncBody;
        return this;
    }

    /**
     * 
     * @return jingdongHufuStockStockSyncBody
    **/

    public JingdongHufuStockStockSyncBody getJingdongHufuStockStockSyncBody() {
        return jingdongHufuStockStockSyncBody;
    }

    public void setJingdongHufuStockStockSyncBody(JingdongHufuStockStockSyncBody jingdongHufuStockStockSyncBody) {
        this.jingdongHufuStockStockSyncBody = jingdongHufuStockStockSyncBody;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        JingdongHufuStockStockSyncRequest jingdongHufuStockStockSyncRequest = (JingdongHufuStockStockSyncRequest) o;
        return Objects.equals(this.appKey, jingdongHufuStockStockSyncRequest.appKey) &&
        Objects.equals(this.customerId, jingdongHufuStockStockSyncRequest.customerId) &&
        Objects.equals(this.method, jingdongHufuStockStockSyncRequest.method) &&
        Objects.equals(this.signMethod, jingdongHufuStockStockSyncRequest.signMethod) &&
        Objects.equals(this.jingdongHufuStockStockSyncBody, jingdongHufuStockStockSyncRequest.jingdongHufuStockStockSyncBody);
    }

    @Override
    public int hashCode() {
        return Objects.hash(appKey, customerId, method, signMethod, jingdongHufuStockStockSyncBody);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class JingdongHufuStockStockSyncRequest {\n");
        
        sb.append("    appKey: ").append(toIndentedString(appKey)).append("\n");
        sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
        sb.append("    method: ").append(toIndentedString(method)).append("\n");
        sb.append("    signMethod: ").append(toIndentedString(signMethod)).append("\n");
        sb.append("    jingdongHufuStockStockSyncBody: ").append(toIndentedString(jingdongHufuStockStockSyncBody)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

