/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuErpMigrateV2.model.jingdonghufuordergetinvoiceeasyinfo;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * InvoiceEasyInfo
 */
@XmlRootElement(name = "invoiceEasyInfo")
@XmlAccessorType(XmlAccessType.FIELD)

public class InvoiceEasyInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "invoiceConsigneeEmail")
    @SerializedName("invoiceConsigneeEmail")
    private String invoiceConsigneeEmail = null;

    @XmlElement(name = "invoiceConsigneePhone")
    @SerializedName("invoiceConsigneePhone")
    private String invoiceConsigneePhone = null;

    @XmlElement(name = "invoiceType")
    @SerializedName("invoiceType")
    private String invoiceType = null;

    @XmlElement(name = "invoiceContentId")
    @SerializedName("invoiceContentId")
    private String invoiceContentId = null;

    @XmlElement(name = "invoiceTitle")
    @SerializedName("invoiceTitle")
    private String invoiceTitle = null;

    @XmlElement(name = "invoiceCode")
    @SerializedName("invoiceCode")
    private String invoiceCode = null;

    public InvoiceEasyInfo invoiceConsigneeEmail(String invoiceConsigneeEmail) {
        this.invoiceConsigneeEmail = invoiceConsigneeEmail;
        return this;
    }

    /**
     * 电子发票联系人邮箱
     * @return invoiceConsigneeEmail
    **/

    public String getInvoiceConsigneeEmail() {
        return invoiceConsigneeEmail;
    }

    public void setInvoiceConsigneeEmail(String invoiceConsigneeEmail) {
        this.invoiceConsigneeEmail = invoiceConsigneeEmail;
    }

    public InvoiceEasyInfo invoiceConsigneePhone(String invoiceConsigneePhone) {
        this.invoiceConsigneePhone = invoiceConsigneePhone;
        return this;
    }

    /**
     * 电子发票联系人手机号，脱敏
     * @return invoiceConsigneePhone
    **/

    public String getInvoiceConsigneePhone() {
        return invoiceConsigneePhone;
    }

    public void setInvoiceConsigneePhone(String invoiceConsigneePhone) {
        this.invoiceConsigneePhone = invoiceConsigneePhone;
    }

    public InvoiceEasyInfo invoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
        return this;
    }

    /**
     * 发票类型，0&#x3D;不开发票、1&#x3D;普通发票、2&#x3D;增值税发票(专票)、3&#x3D;电子发票
     * @return invoiceType
    **/

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public InvoiceEasyInfo invoiceContentId(String invoiceContentId) {
        this.invoiceContentId = invoiceContentId;
        return this;
    }

    /**
     * 发票内容
     * @return invoiceContentId
    **/

    public String getInvoiceContentId() {
        return invoiceContentId;
    }

    public void setInvoiceContentId(String invoiceContentId) {
        this.invoiceContentId = invoiceContentId;
    }

    public InvoiceEasyInfo invoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
        return this;
    }

    /**
     * 发票抬头。个人/公司名称
     * @return invoiceTitle
    **/

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public InvoiceEasyInfo invoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
        return this;
    }

    /**
     * 发票纳税人识别号
     * @return invoiceCode
    **/

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        InvoiceEasyInfo invoiceEasyInfo = (InvoiceEasyInfo) o;
        return Objects.equals(this.invoiceConsigneeEmail, invoiceEasyInfo.invoiceConsigneeEmail) &&
        Objects.equals(this.invoiceConsigneePhone, invoiceEasyInfo.invoiceConsigneePhone) &&
        Objects.equals(this.invoiceType, invoiceEasyInfo.invoiceType) &&
        Objects.equals(this.invoiceContentId, invoiceEasyInfo.invoiceContentId) &&
        Objects.equals(this.invoiceTitle, invoiceEasyInfo.invoiceTitle) &&
        Objects.equals(this.invoiceCode, invoiceEasyInfo.invoiceCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(invoiceConsigneeEmail, invoiceConsigneePhone, invoiceType, invoiceContentId, invoiceTitle, invoiceCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class InvoiceEasyInfo {\n");
        
        sb.append("    invoiceConsigneeEmail: ").append(toIndentedString(invoiceConsigneeEmail)).append("\n");
        sb.append("    invoiceConsigneePhone: ").append(toIndentedString(invoiceConsigneePhone)).append("\n");
        sb.append("    invoiceType: ").append(toIndentedString(invoiceType)).append("\n");
        sb.append("    invoiceContentId: ").append(toIndentedString(invoiceContentId)).append("\n");
        sb.append("    invoiceTitle: ").append(toIndentedString(invoiceTitle)).append("\n");
        sb.append("    invoiceCode: ").append(toIndentedString(invoiceCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

