/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuErpMigrateV2.model.jingdonghufuordergetinvoiceeasyinfo;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * VatInfo
 */
@XmlRootElement(name = "vatInfo")
@XmlAccessorType(XmlAccessType.FIELD)

public class VatInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "bankAccount")
    @SerializedName("bankAccount")
    private String bankAccount = null;

    @XmlElement(name = "userAddress")
    @SerializedName("userAddress")
    private String userAddress = null;

    @XmlElement(name = "depositBank")
    @SerializedName("depositBank")
    private String depositBank = null;

    @XmlElement(name = "vatNo")
    @SerializedName("vatNo")
    private String vatNo = null;

    @XmlElement(name = "addressRegIstered")
    @SerializedName("addressRegIstered")
    private String addressRegIstered = null;

    @XmlElement(name = "userPhone")
    @SerializedName("userPhone")
    private String userPhone = null;

    @XmlElement(name = "userName")
    @SerializedName("userName")
    private String userName = null;

    @XmlElement(name = "phoneRegIstered")
    @SerializedName("phoneRegIstered")
    private String phoneRegIstered = null;

    public VatInfo bankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
        return this;
    }

    /**
     * 银行账户，脱敏
     * @return bankAccount
    **/

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public VatInfo userAddress(String userAddress) {
        this.userAddress = userAddress;
        return this;
    }

    /**
     * 收票人地址，脱敏
     * @return userAddress
    **/

    public String getUserAddress() {
        return userAddress;
    }

    public void setUserAddress(String userAddress) {
        this.userAddress = userAddress;
    }

    public VatInfo depositBank(String depositBank) {
        this.depositBank = depositBank;
        return this;
    }

    /**
     * 开户银行
     * @return depositBank
    **/

    public String getDepositBank() {
        return depositBank;
    }

    public void setDepositBank(String depositBank) {
        this.depositBank = depositBank;
    }

    public VatInfo vatNo(String vatNo) {
        this.vatNo = vatNo;
        return this;
    }

    /**
     * 纳税人识别号
     * @return vatNo
    **/

    public String getVatNo() {
        return vatNo;
    }

    public void setVatNo(String vatNo) {
        this.vatNo = vatNo;
    }

    public VatInfo addressRegIstered(String addressRegIstered) {
        this.addressRegIstered = addressRegIstered;
        return this;
    }

    /**
     * 注册地址
     * @return addressRegIstered
    **/

    public String getAddressRegIstered() {
        return addressRegIstered;
    }

    public void setAddressRegIstered(String addressRegIstered) {
        this.addressRegIstered = addressRegIstered;
    }

    public VatInfo userPhone(String userPhone) {
        this.userPhone = userPhone;
        return this;
    }

    /**
     * 收票人电话，脱敏
     * @return userPhone
    **/

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public VatInfo userName(String userName) {
        this.userName = userName;
        return this;
    }

    /**
     * 收票人姓名
     * @return userName
    **/

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public VatInfo phoneRegIstered(String phoneRegIstered) {
        this.phoneRegIstered = phoneRegIstered;
        return this;
    }

    /**
     * 注册电话，脱敏
     * @return phoneRegIstered
    **/

    public String getPhoneRegIstered() {
        return phoneRegIstered;
    }

    public void setPhoneRegIstered(String phoneRegIstered) {
        this.phoneRegIstered = phoneRegIstered;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        VatInfo vatInfo = (VatInfo) o;
        return Objects.equals(this.bankAccount, vatInfo.bankAccount) &&
        Objects.equals(this.userAddress, vatInfo.userAddress) &&
        Objects.equals(this.depositBank, vatInfo.depositBank) &&
        Objects.equals(this.vatNo, vatInfo.vatNo) &&
        Objects.equals(this.addressRegIstered, vatInfo.addressRegIstered) &&
        Objects.equals(this.userPhone, vatInfo.userPhone) &&
        Objects.equals(this.userName, vatInfo.userName) &&
        Objects.equals(this.phoneRegIstered, vatInfo.phoneRegIstered);
    }

    @Override
    public int hashCode() {
        return Objects.hash(bankAccount, userAddress, depositBank, vatNo, addressRegIstered, userPhone, userName, phoneRegIstered);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class VatInfo {\n");
        
        sb.append("    bankAccount: ").append(toIndentedString(bankAccount)).append("\n");
        sb.append("    userAddress: ").append(toIndentedString(userAddress)).append("\n");
        sb.append("    depositBank: ").append(toIndentedString(depositBank)).append("\n");
        sb.append("    vatNo: ").append(toIndentedString(vatNo)).append("\n");
        sb.append("    addressRegIstered: ").append(toIndentedString(addressRegIstered)).append("\n");
        sb.append("    userPhone: ").append(toIndentedString(userPhone)).append("\n");
        sb.append("    userName: ").append(toIndentedString(userName)).append("\n");
        sb.append("    phoneRegIstered: ").append(toIndentedString(phoneRegIstered)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

