/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuErpMigrateV2.model.jingdonghufuorderpoporderget;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * JingdongHufuOrderPopOrderGetBody
 */
@XmlRootElement(name = "jingdong_hufu_order_popOrderGetBody")
@XmlAccessorType(XmlAccessType.FIELD)

public class JingdongHufuOrderPopOrderGetBody implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "format")
    @SerializedName("format")
    private String format = null;

    @XmlElement(name = "optional_fields")
    @SerializedName("optional_fields")
    @Required
    private String optionalFields = null;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    @XmlElement(name = "order_state")
    @SerializedName("order_state")
    private String orderState = null;

    @XmlElement(name = "order_id")
    @SerializedName("order_id")
    @Required
    private String orderId = null;

    @XmlElement(name = "token")
    @SerializedName("token")
    @Required
    private String token = null;

    @XmlElement(name = "timestamp")
    @SerializedName("timestamp")
    @Required
    private String timestamp = null;

    public JingdongHufuOrderPopOrderGetBody orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 订单类型（22 SOP； 75 LOC；21:FBP，112:FCS，142:IBS）
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public JingdongHufuOrderPopOrderGetBody format(String format) {
        this.format = format;
        return this;
    }

    /**
     * 暂时只支持json
     * @return format
    **/

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public JingdongHufuOrderPopOrderGetBody optionalFields(String optionalFields) {
        this.optionalFields = optionalFields;
        return this;
    }

    /**
     * 需返回的字段列表。可选值：orderInfo结构体中的所有字段；字段之间用,分隔
     * @return optionalFields
    **/

    public String getOptionalFields() {
        return optionalFields;
    }

    public void setOptionalFields(String optionalFields) {
        this.optionalFields = optionalFields;
    }

    public JingdongHufuOrderPopOrderGetBody extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public JingdongHufuOrderPopOrderGetBody putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }

    public JingdongHufuOrderPopOrderGetBody orderState(String orderState) {
        this.orderState = orderState;
        return this;
    }

    /**
     * 多订单状态可以用英文逗号隔开 请用英文逗号拼接英文状态传递给jos，而不是数字。1）WAIT_SELLER_STOCK_OUT 等待出库 2）WAIT_GOODS_RECEIVE_CONFIRM 等待确认收货 3）WAIT_SELLER_DELIVERY等待发货（只适用于海外购商家，含义为“等待境内发货”标签下的订单,非海外购商家无需使用） 4) PAUSE 暂停（loc订单可通过此状态获取） 5）FINISHED_L 完成 6）TRADE_CANCELED 取消 7）LOCKED 已锁定 8）POP_ORDER_PAUSE pop业务暂停，如3c号卡/履约/黄金的业务，可传此状态。
     * @return orderState
    **/

    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    public JingdongHufuOrderPopOrderGetBody orderId(String orderId) {
        this.orderId = orderId;
        return this;
    }

    /**
     * 订单号,并且有效的订单号
     * @return orderId
    **/

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public JingdongHufuOrderPopOrderGetBody token(String token) {
        this.token = token;
        return this;
    }

    /**
     * 采用OAuth授权方式为必填参数
     * @return token
    **/

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public JingdongHufuOrderPopOrderGetBody timestamp(String timestamp) {
        this.timestamp = timestamp;
        return this;
    }

    /**
     * 时间戳，格式为yyyy-MM-dd HH:mm:ss，例如：2011-06-16 13:23:30。京东API服务端允许客户端请求时间误差为10分钟
     * @return timestamp
    **/

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        JingdongHufuOrderPopOrderGetBody jingdongHufuOrderPopOrderGetBody = (JingdongHufuOrderPopOrderGetBody) o;
        return Objects.equals(this.orderType, jingdongHufuOrderPopOrderGetBody.orderType) &&
        Objects.equals(this.format, jingdongHufuOrderPopOrderGetBody.format) &&
        Objects.equals(this.optionalFields, jingdongHufuOrderPopOrderGetBody.optionalFields) &&
        Objects.equals(this.extendProps, jingdongHufuOrderPopOrderGetBody.extendProps) &&
        Objects.equals(this.orderState, jingdongHufuOrderPopOrderGetBody.orderState) &&
        Objects.equals(this.orderId, jingdongHufuOrderPopOrderGetBody.orderId) &&
        Objects.equals(this.token, jingdongHufuOrderPopOrderGetBody.token) &&
        Objects.equals(this.timestamp, jingdongHufuOrderPopOrderGetBody.timestamp);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderType, format, optionalFields, extendProps, orderState, orderId, token, timestamp);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class JingdongHufuOrderPopOrderGetBody {\n");
        
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    format: ").append(toIndentedString(format)).append("\n");
        sb.append("    optionalFields: ").append(toIndentedString(optionalFields)).append("\n");
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("    orderState: ").append(toIndentedString(orderState)).append("\n");
        sb.append("    orderId: ").append(toIndentedString(orderId)).append("\n");
        sb.append("    token: ").append(toIndentedString(token)).append("\n");
        sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

