/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuErpMigrateV2.model.jingdonghufustockstocksync;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * JingdongHufuStockStockSyncBody
 */
@XmlRootElement(name = "jingdong_hufu_stock_stockSyncBody")
@XmlAccessorType(XmlAccessType.FIELD)

public class JingdongHufuStockStockSyncBody implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "qty")
    @SerializedName("qty")
    @Required
    private String qty = null;

    @XmlElement(name = "sku_id")
    @SerializedName("sku_id")
    @Required
    private String skuId = null;

    @XmlElement(name = "num_id")
    @SerializedName("num_id")
    @Required
    private String numId = null;

    @XmlElement(name = "seller_id")
    @SerializedName("seller_id")
    @Required
    private String sellerId = null;

    @XmlElement(name = "status")
    @SerializedName("status")
    @Required
    private String status = null;

    @XmlElement(name = "token")
    @SerializedName("token")
    private String token = null;

    public JingdongHufuStockStockSyncBody qty(String qty) {
        this.qty = qty;
        return this;
    }

    /**
     * 同步库存数量
     * @return qty
    **/

    public String getQty() {
        return qty;
    }

    public void setQty(String qty) {
        this.qty = qty;
    }

    public JingdongHufuStockStockSyncBody skuId(String skuId) {
        this.skuId = skuId;
        return this;
    }

    /**
     * 商品SKUID
     * @return skuId
    **/

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public JingdongHufuStockStockSyncBody numId(String numId) {
        this.numId = numId;
        return this;
    }

    /**
     * 商品ID
     * @return numId
    **/

    public String getNumId() {
        return numId;
    }

    public void setNumId(String numId) {
        this.numId = numId;
    }

    public JingdongHufuStockStockSyncBody sellerId(String sellerId) {
        this.sellerId = sellerId;
        return this;
    }

    /**
     * 卖家店铺ID
     * @return sellerId
    **/

    public String getSellerId() {
        return sellerId;
    }

    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    public JingdongHufuStockStockSyncBody status(String status) {
        this.status = status;
        return this;
    }

    /**
     * 上下架状态
     * @return status
    **/

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public JingdongHufuStockStockSyncBody token(String token) {
        this.token = token;
        return this;
    }

    /**
     * 采用OAuth授权方式为必填参数
     * @return token
    **/

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        JingdongHufuStockStockSyncBody jingdongHufuStockStockSyncBody = (JingdongHufuStockStockSyncBody) o;
        return Objects.equals(this.qty, jingdongHufuStockStockSyncBody.qty) &&
        Objects.equals(this.skuId, jingdongHufuStockStockSyncBody.skuId) &&
        Objects.equals(this.numId, jingdongHufuStockStockSyncBody.numId) &&
        Objects.equals(this.sellerId, jingdongHufuStockStockSyncBody.sellerId) &&
        Objects.equals(this.status, jingdongHufuStockStockSyncBody.status) &&
        Objects.equals(this.token, jingdongHufuStockStockSyncBody.token);
    }

    @Override
    public int hashCode() {
        return Objects.hash(qty, skuId, numId, sellerId, status, token);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class JingdongHufuStockStockSyncBody {\n");
        
        sb.append("    qty: ").append(toIndentedString(qty)).append("\n");
        sb.append("    skuId: ").append(toIndentedString(skuId)).append("\n");
        sb.append("    numId: ").append(toIndentedString(numId)).append("\n");
        sb.append("    sellerId: ").append(toIndentedString(sellerId)).append("\n");
        sb.append("    status: ").append(toIndentedString(status)).append("\n");
        sb.append("    token: ").append(toIndentedString(token)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

